Open CASCADE Technology: HLRBRep_ShapeBounds Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRBRep_ShapeBounds Class Reference

Contains a Shape and the bounds of its vertices, edges and faces in the DataStructure. More...

`#include <HLRBRep_ShapeBounds.hxx>`

## Public Member Functions
| HLRBRep_ShapeBounds ()
| HLRBRep_ShapeBounds (const Handle< HLRTopoBRep_OutLiner > &S, const Handle< MMgt_TShared > &SData, const Standard_Integer nbIso, const Standard_Integer V1, const Standard_Integer V2, const Standard_Integer E1, const Standard_Integer E2, const Standard_Integer F1, const Standard_Integer F2)
| HLRBRep_ShapeBounds (const Handle< HLRTopoBRep_OutLiner > &S, const Standard_Integer nbIso, const Standard_Integer V1, const Standard_Integer V2, const Standard_Integer E1, const Standard_Integer E2, const Standard_Integer F1, const Standard_Integer F2)
void | Translate (const Standard_Integer NV, const Standard_Integer NE, const Standard_Integer NF)
void | Shape (const Handle< HLRTopoBRep_OutLiner > &S)
const Handle < HLRTopoBRep_OutLiner > & | Shape () const
void | ShapeData (const Handle< MMgt_TShared > &SD)
const Handle< MMgt_TShared > & | ShapeData () const
void | NbOfIso (const Standard_Integer nbIso)
Standard_Integer | NbOfIso () const
void | Sizes (Standard_Integer &NV, Standard_Integer &NE, Standard_Integer &NF) const
void | Bounds (Standard_Integer &V1, Standard_Integer &V2, Standard_Integer &E1, Standard_Integer &E2, Standard_Integer &F1, Standard_Integer &F2) const
void | UpdateMinMax (const Standard_Address TotMinMax)
Standard_Address | MinMax () const

## Detailed Description

Contains a Shape and the bounds of its vertices, edges and faces in the DataStructure.

## Constructor & Destructor Documentation

HLRBRep_ShapeBounds::HLRBRep_ShapeBounds | ( |  | ) |

HLRBRep_ShapeBounds::HLRBRep_ShapeBounds | ( | const Handle< HLRTopoBRep_OutLiner > & | S,
|  | const Handle< MMgt_TShared > & | SData,
|  | const Standard_Integer | nbIso,
|  | const Standard_Integer | V1,
|  | const Standard_Integer | V2,
|  | const Standard_Integer | E1,
|  | const Standard_Integer | E2,
|  | const Standard_Integer | F1,
|  | const Standard_Integer | F2
| ) |  |

HLRBRep_ShapeBounds::HLRBRep_ShapeBounds | ( | const Handle< HLRTopoBRep_OutLiner > & | S,
|  | const Standard_Integer | nbIso,
|  | const Standard_Integer | V1,
|  | const Standard_Integer | V2,
|  | const Standard_Integer | E1,
|  | const Standard_Integer | E2,
|  | const Standard_Integer | F1,
|  | const Standard_Integer | F2
| ) |  |

## Member Function Documentation

void HLRBRep_ShapeBounds::Bounds | ( | Standard_Integer & | V1,
|  | Standard_Integer & | V2,
|  | Standard_Integer & | E1,
|  | Standard_Integer & | E2,
|  | Standard_Integer & | F1,
|  | Standard_Integer & | F2
| ) |  | const

Standard_Address HLRBRep_ShapeBounds::MinMax | ( |  | ) | const

void HLRBRep_ShapeBounds::NbOfIso | ( | const Standard_Integer | nbIso | ) |

Standard_Integer HLRBRep_ShapeBounds::NbOfIso | ( |  | ) | const

void HLRBRep_ShapeBounds::Shape | ( | const Handle< HLRTopoBRep_OutLiner > & | S | ) |

const Handle< HLRTopoBRep_OutLiner >& HLRBRep_ShapeBounds::Shape | ( |  | ) | const

void HLRBRep_ShapeBounds::ShapeData | ( | const Handle< MMgt_TShared > & | SD | ) |

const Handle< MMgt_TShared >& HLRBRep_ShapeBounds::ShapeData | ( |  | ) | const

void HLRBRep_ShapeBounds::Sizes | ( | Standard_Integer & | NV,
|  | Standard_Integer & | NE,
|  | Standard_Integer & | NF
| ) |  | const

void HLRBRep_ShapeBounds::Translate | ( | const Standard_Integer | NV,
|  | const Standard_Integer | NE,
|  | const Standard_Integer | NF
| ) |  |

void HLRBRep_ShapeBounds::UpdateMinMax | ( | const Standard_Address | TotMinMax | ) |

The documentation for this class was generated from the following file:

- HLRBRep_ShapeBounds.hxx